<template>
	<div>
    <div class="white-block">

      <div class="padding">
        <h3>Сумма и срок займа</h3>
      </div>
      <hr>
      <div class="padding" style="margin-bottom: 30px;">
        <div class="range-slider">
          <div class="row">

            <div class="columns six field-range">
              <div class="upper-header">Сумма займа:</div>
              <div class="row range-slider__upper-text upper-text">
                <div class="columns seven big">
                  {{loan_amount_rubles}}.00 ₽
                </div>
                <div class="columns five small">К возврату: <strong>{{amount_to_return}}.00 ₽</strong></div>
              </div>
              <!--<ползунок></ползунок>-->
              <input type="range"
                     ref="loan_amount"
                     :style="{background:['-webkit-linear-gradient(left, #f6f6f5 ' + this.percent_amount + '%, #f6f6f5 ' + this.percent_amount + '%, #fff ' + this.percent_amount + '%, #fff ' + this.percent_amount + '%)']}"
                     @change="changeLoanAmount"
                     class="horizontal-slider"
                     min="1000"
                     max="15000"
                     step="500"
                     :value="this.amount"
              >
              <div class="row">
                <div class="column liner"></div>
              </div>
              <div class="row range">
                <div class="columns six">
                  1 000
                </div>
                <div class="columns six right">
                  15 000
                </div>
              </div>

              <!--<ползунок></ползунок>-->
            </div>


            <div class="columns six field-range">
              <div class="upper-header">Срок возврата:</div>
              <div class="row range-slider__upper-text upper-text">
                <div class="columns seven big">
                  {{this.loan_amount_date}}
                  <span v-if="this.loan_amount_date === '21'">день</span>
                  <span v-else-if="this.loan_amount_date === ('22')">дня</span>
                  <span v-else-if="this.loan_amount_date === ('23')">дня</span>
                  <span v-else-if="this.loan_amount_date === ('24')">дня</span>
                  <span v-else>дней</span>
                </div>
                <div class="columns five small">Дата возврата: <strong>{{date_return}}</strong></div>
              </div>

              <!--<ползунок></ползунок>-->

              <input type="range"
                     ref="loan_date"
                     :style="{background:['-webkit-linear-gradient(left, #f6f6f5 ' + this.percent_days + '%, #f6f6f5 ' + this.percent_days + '%, #fff ' + this.percent_days + '%, #fff ' + this.percent_days + '%)']}"
                     @change="changeDateAmountLoan"
                     class="horizontal-slider"
                     min="5"
                     max="30"
                     step="1"
                     :value="this.day"
              >
              <div class="row">
                <div class="column liner"></div>
              </div>
              <div class="row range">
                <div class="columns six">
                  5
                </div>
                <div class="columns six right">
                  30
                </div>
              </div>

              <!--<ползунок></ползунок>-->
            </div>


          </div>
        </div>
      </div>

    </div>
	</div>
</template>

<script>
  export default {
    name: 'amount-and-loan-term',
    data () {
      return {
        loan_amount_rubles: '6500',
        amount: '6500',
        percent_amount: '39',
        loan_amount_date: '10',
        day: '10',
        percent_days: '20',
        currentDate: new Date(),
        coefficient: '12'
      }
    },
    computed: {
      date_return () {
        return new Date(new Date().setDate(this.currentDate.getDate() + Number(this.loan_amount_date))).toLocaleString('ru', {day: 'numeric', month: 'long', year: 'numeric'})
      },
      amount_to_return () {
        return Number(this.loan_amount_rubles) + Number(this.loan_amount_date * this.coefficient)
      }
    },
    methods: {
      changeLoanAmount () {
        var toddler = this.$refs.loan_amount // обращение к элементу ползунка
        var amount = this.loan_amount_rubles = this.amount = toddler.value // получили сумму и вывод ее на экран
        var percent = this.percent_amount = (amount - 1000) / 140
        toddler.style.background = '-webkit-linear-gradient(left, #f6f6f5 ' + percent + '%, #f6f6f5 ' + percent + '%, #fff ' + percent + '%, #fff ' + percent + '%)'
      },
      changeDateAmountLoan () {
        var toddler = this.$refs.loan_date
        var date = this.loan_amount_date = this.day = toddler.value
        var percent = this.percent_days = (date - 5) / 0.25
        toddler.style.background = '-webkit-linear-gradient(left, #f6f6f5 ' + percent + '%, #f6f6f5 ' + percent + '%, #fff ' + percent + '%, #fff ' + percent + '%)'
      }
    }
  }
</script>

<style scoped lang="scss">
  .horizontal-slider {
    margin: 0 0 10px;
  }

  input[type='range'] {
    width: 100%;
    -webkit-appearance: none;
    border: 1px solid #e3e3e3;
    /*-webkit-box-shadow: 0px 0px 0px 1px #e3e3e3;*/
    /*box-shadow: 0px 0px 0px 1px #e3e3e3;*/
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 5px;
    height: 9px;
    outline: none;
  }

  input[type='range']::-webkit-slider-runnable-track {
    height: 10px;
    -webkit-appearance: none;
    color: #f6f6f5;
    margin-top: -1px;
  }

  input[type='range']::-webkit-slider-thumb {
    width: 20px;
    -webkit-appearance: none;
    height: 20px;
    cursor: pointer;
    background: #fff;
    border-radius: 50%;
    border: 3px solid #ff3e3e;
    margin-top: -5px;
  }

  input[type="range"]::-moz-range-progress {
    background-color: #f6f6f5;
  }

  input[type="range"]::-moz-range-track {
    background-color: #f6f6f5;
  }

  input[type="range"]::-ms-fill-lower {
    background-color: #f6f6f5;
  }

  input[type="range"]::-ms-fill-upper {
    background-color: #f6f6f5;
  }
</style>
